<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('globals_s.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="contents">
<div class="textblock">Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:</div>

<h3><a id="index_s" name="index_s"></a>- s -</h3><ul>
<li>saveDefaultParameterSet()&#160;:&#160;<a class="el" href="a00002.html#aef988a7955e9e59a05dd73b07dc43213">vicolib.h</a></li>
<li>saveParameterSet()&#160;:&#160;<a class="el" href="a00002.html#a97cfd98a6d83b02cb34cc65383b1f13b">vicolib.h</a></li>
<li>scanTcpDevices()&#160;:&#160;<a class="el" href="a00002.html#a9a6710f8884c9ca3d4945f4f07912397">vicolib.h</a></li>
<li>scanUdpDevices()&#160;:&#160;<a class="el" href="a00002.html#a557df57cbf3069a52c6ff98ea1ffbb40">vicolib.h</a></li>
<li>scanUsbDevices()&#160;:&#160;<a class="el" href="a00002.html#a8d152368a62de4e41f2898784ad7e0c0">vicolib.h</a></li>
<li>setARdy()&#160;:&#160;<a class="el" href="a00002.html#a7d27276883bff43c6e35f811e541a507">vicolib.h</a></li>
<li>setBaselineAverageLength()&#160;:&#160;<a class="el" href="a00002.html#a9815e74f301cf25bde22e92ad326285c">vicolib.h</a></li>
<li>setBaselineTrim()&#160;:&#160;<a class="el" href="a00002.html#a14be114211106a93d1a3ceafed9c042f">vicolib.h</a></li>
<li>setClockingSpeed()&#160;:&#160;<a class="el" href="a00002.html#a9bb9a38b2f9c2019ca4529ea7463b3c6">vicolib.h</a></li>
<li>setDAC()&#160;:&#160;<a class="el" href="a00002.html#a6b8de52312f305279d1ba0523616dd03">vicolib.h</a></li>
<li>setDigitalEnergyGain()&#160;:&#160;<a class="el" href="a00002.html#a188e36eba1319e6703bb2cb9f1dbb626">vicolib.h</a></li>
<li>setDigitalEnergyOffset()&#160;:&#160;<a class="el" href="a00002.html#ab3fac1d22c951c15e44572a0f8cb469f">vicolib.h</a></li>
<li>setDynamicResetDuration()&#160;:&#160;<a class="el" href="a00002.html#af2ee863129b4c37aa54cdb3ae2273471">vicolib.h</a></li>
<li>setDynamicResetThreshold()&#160;:&#160;<a class="el" href="a00002.html#a803c90343b78dfae21c8bf5071a2887f">vicolib.h</a></li>
<li>setEEP()&#160;:&#160;<a class="el" href="a00002.html#af6bd1490c15abdfbc586b828f71b25fd">vicolib.h</a></li>
<li>setEthernetProtocol()&#160;:&#160;<a class="el" href="a00002.html#a968e6dc67d209a2cee9c8d601bcc3e14">vicolib.h</a></li>
<li>setEthernetSpeed()&#160;:&#160;<a class="el" href="a00002.html#ac842479e5271f153790e3ff0824bb755">vicolib.h</a></li>
<li>setEventScopeSamplingInterval()&#160;:&#160;<a class="el" href="a00002.html#a4877d91d5fe8242e5fcff97e945c3e4c">vicolib.h</a></li>
<li>setEventScopeTriggerTimeout()&#160;:&#160;<a class="el" href="a00002.html#a8c4165616fe1ea16aac195d1eb70683c">vicolib.h</a></li>
<li>setEventTriggerSource()&#160;:&#160;<a class="el" href="a00002.html#afaa932db73b61cf2bf958ef55a670681">vicolib.h</a></li>
<li>setEventTriggerValue()&#160;:&#160;<a class="el" href="a00002.html#ac7fbaf100cbdf725963ae6fe63ead98e">vicolib.h</a></li>
<li>setFastFilterMaxWidth()&#160;:&#160;<a class="el" href="a00002.html#a4ad397272e337424e5b1d7b1412412dc">vicolib.h</a></li>
<li>setFastFilterPeakingTime()&#160;:&#160;<a class="el" href="a00002.html#abe6b8a23f3ff3a354d4a7b687d8d51bf">vicolib.h</a></li>
<li>setFastFilterTriggerThreshold()&#160;:&#160;<a class="el" href="a00002.html#afaf34a1e74df3629359b440ddf420bd4">vicolib.h</a></li>
<li>setGatewayIPAddress()&#160;:&#160;<a class="el" href="a00002.html#af62f6ba697eaa2b15c07de849995c788">vicolib.h</a></li>
<li>setHostIpAddress()&#160;:&#160;<a class="el" href="a00002.html#a00496c4a83a00f9f88159973d1f7ea17">vicolib.h</a></li>
<li>setIMax()&#160;:&#160;<a class="el" href="a00002.html#a9fca475bd482cd8b773d41ec6d26ffe5">vicolib.h</a></li>
<li>setIO()&#160;:&#160;<a class="el" href="a00002.html#a958a70c5d1e0285a8e91e08ba9a9efdf">vicolib.h</a></li>
<li>setIPAddress()&#160;:&#160;<a class="el" href="a00002.html#a0202cc1b4411bad32092b7a815350122">vicolib.h</a></li>
<li>setLogLevel()&#160;:&#160;<a class="el" href="a00002.html#af54c36ca1d926f99455a1dfe52ac6c28">vicolib.h</a></li>
<li>setMACAddress()&#160;:&#160;<a class="el" href="a00002.html#ae1a552ea3e62918cd0d1cff0cc00fddd">vicolib.h</a></li>
<li>setMCABytesPerBin()&#160;:&#160;<a class="el" href="a00002.html#a5d50bb8e7050c821507a86d77af31925">vicolib.h</a></li>
<li>setMCANumberOfBins()&#160;:&#160;<a class="el" href="a00002.html#a13407e190b065ebe8429801b360bddd3">vicolib.h</a></li>
<li>setMediumFilterMaxWidth()&#160;:&#160;<a class="el" href="a00002.html#a30549b5d5e88f3e35e2ac965b00f743f">vicolib.h</a></li>
<li>setMediumFilterTriggerThreshold()&#160;:&#160;<a class="el" href="a00002.html#a6b1824b94e9d6b532a25ae8c3f43a7f0">vicolib.h</a></li>
<li>setMode()&#160;:&#160;<a class="el" href="a00002.html#a6e224e87b2bc9e5152e9c4e91b057bc3">vicolib.h</a></li>
<li>setPreferredInterface()&#160;:&#160;<a class="el" href="a00002.html#aca1ccda84439a1152427998910cd7d30">vicolib.h</a></li>
<li>setRdy()&#160;:&#160;<a class="el" href="a00002.html#af383e94cafee47448a7dcf2ee8745028">vicolib.h</a></li>
<li>setResetDetection()&#160;:&#160;<a class="el" href="a00002.html#a92b9e70b4fb66ad56b281367f7641f8a">vicolib.h</a></li>
<li>setResetInhibitTime()&#160;:&#160;<a class="el" href="a00002.html#a5f0d3dedfde4e905677e4c60f7d0ba50">vicolib.h</a></li>
<li>setServiceCode()&#160;:&#160;<a class="el" href="a00002.html#af43c1ca66a3b29c0b43155cedcefb85e">vicolib.h</a></li>
<li>setSlowFilterGapTime()&#160;:&#160;<a class="el" href="a00002.html#a4c9cb0f159eda2793cbf75ddd64848aa">vicolib.h</a></li>
<li>setSlowFilterPeakingTime()&#160;:&#160;<a class="el" href="a00002.html#a720c0ffb4c65c09e573f6d544d4a6234">vicolib.h</a></li>
<li>setStopCondition()&#160;:&#160;<a class="el" href="a00002.html#a08b6ea776c5ccfd0bc56afa185c155f4">vicolib.h</a></li>
<li>setSubnetMask()&#160;:&#160;<a class="el" href="a00002.html#ab7ea481bd7c25fa3b38c916ff5e623e4">vicolib.h</a></li>
<li>setTemp()&#160;:&#160;<a class="el" href="a00002.html#a15a9c194ec5609d83725dd31de946e34">vicolib.h</a></li>
<li>setUMax()&#160;:&#160;<a class="el" href="a00002.html#a8193a56efe394e2b5ad4444063774ed3">vicolib.h</a></li>
<li>SHORT_MEDIUM_FILTER&#160;:&#160;<a class="el" href="a00008.html#acabfe55595d206d18f8d3986807d05a8aa708c97f39f5e0cf1210e6cbe4d467bf">types.h</a></li>
<li>SHORTEST_POSSIBLE_MEDIUM_FILTER&#160;:&#160;<a class="el" href="a00008.html#acabfe55595d206d18f8d3986807d05a8aa12e9286890eaa629a91bebe264e7be5">types.h</a></li>
<li>SLOWFILTER&#160;:&#160;<a class="el" href="a00008.html#acc81e3aa04d287235f9296f75bbb11eaa964a26574fd53488aa6b8ce1cfbd4e49">types.h</a></li>
<li>SoftwarePackage&#160;:&#160;<a class="el" href="a00008.html#a54fec37e523f1dc73d5fbf62c25c011e">types.h</a></li>
<li>SPECIFIC_ADC_VALUE&#160;:&#160;<a class="el" href="a00008.html#a4ed68363159bce20f8d1b5dbc550cdf0af6a7f9b912a0dfba3e76065c52dbd4d4">types.h</a></li>
<li>startRun()&#160;:&#160;<a class="el" href="a00002.html#a2659c6c26ef45823086b957a410d982f">vicolib.h</a></li>
<li>STOP_AT_FIXED_INPUT_COUNTS&#160;:&#160;<a class="el" href="a00008.html#a935f47de8bf9fcbbbe86bc28a7679c3ba70604eb8ad2c22552c8076d06873ff59">types.h</a></li>
<li>STOP_AT_FIXED_LIVETIME&#160;:&#160;<a class="el" href="a00008.html#a935f47de8bf9fcbbbe86bc28a7679c3ba84566509329f23bced87d71469f0a066">types.h</a></li>
<li>STOP_AT_FIXED_OUTPUT_COUNTS&#160;:&#160;<a class="el" href="a00008.html#a935f47de8bf9fcbbbe86bc28a7679c3ba975c5683d5a5cabba9a1960f76ea711e">types.h</a></li>
<li>STOP_AT_FIXED_REALTIME&#160;:&#160;<a class="el" href="a00008.html#a935f47de8bf9fcbbbe86bc28a7679c3ba8cc45ac79ad9846e50cc27290d7d4070">types.h</a></li>
<li>StopConditionType&#160;:&#160;<a class="el" href="a00008.html#a935f47de8bf9fcbbbe86bc28a7679c3b">types.h</a></li>
<li>stopRun()&#160;:&#160;<a class="el" href="a00002.html#a22c7b2910c8aa62c0663d1c3acafa2d8">vicolib.h</a></li>
<li>swPkgGetActive()&#160;:&#160;<a class="el" href="a00002.html#a3ea94c8376facc0cebb224f2cb62f019">vicolib.h</a></li>
<li>swPkgStartApplication()&#160;:&#160;<a class="el" href="a00002.html#a10fd5c34f21bef1b1ba648201eb27f49">vicolib.h</a></li>
<li>swPkgStartBootloader()&#160;:&#160;<a class="el" href="a00002.html#af445c645c264821228b6a6c9513fcde6">vicolib.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
